JavaDataModel (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.util

## Enum JavaDataModel

- java.lang.Object
- - java.lang.Enum<JavaDataModel>
  - - org.apache.hadoop.hive.ql.util.JavaDataModel

- All Implemented Interfaces:
    Serializable, Comparable<JavaDataModel>

      public enum JavaDataModel
      extends Enum<JavaDataModel>

  Estimation of memory footprint of object

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JAVA32`
    `JAVA64`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JAVA32_ARRAY`
    `static int` | `JAVA32_ARRAY_META`
    `static int` | `JAVA32_META`
    `static int` | `JAVA32_OBJECT`
    `static int` | `JAVA32_REF`
    `static int` | `JAVA64_ARRAY`
    `static int` | `JAVA64_ARRAY_META`
    `static int` | `JAVA64_META`
    `static int` | `JAVA64_OBJECT`
    `static int` | `JAVA64_REF`
    `static int` | `PRIMITIVE_BYTE`
    `static int` | `PRIMITIVES1`
    `static int` | `PRIMITIVES2`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `alignUp(int value, int align)`
    `abstract int` | `array()`
    `abstract int` | `arrayList()`
    `static JavaDataModel` | `get()`
    `abstract int` | `hashMap(int entry)`
    `abstract int` | `hashMapBase()`
    `abstract int` | `hashMapEntry()`
    `abstract int` | `hashSet(int entry)`
    `abstract int` | `hashSetBase()`
    `abstract int` | `hashSetEntry()`
    `int` | `lengthFor(String string)`
    `int` | `lengthForBooleanArrayOfSize(int length)`
    `int` | `lengthForByteArrayOfSize(int length)`
    `int` | `lengthForDateArrayOfSize(int length)`
    `int` | `lengthForDecimalArrayOfSize(int length)`
    `int` | `lengthForDoubleArrayOfSize(int length)`
    `int` | `lengthForIntArrayOfSize(int length)`
    `int` | `lengthForLongArrayOfSize(int length)`
    `int` | `lengthForObjectArrayOfSize(int length)`
    `int` | `lengthForRandom()`
    `int` | `lengthForStringOfLength(int strLen)`
    `int` | `lengthForTimestampArrayOfSize(int length)`
    `int` | `lengthOfDate()`
    `int` | `lengthOfDecimal()`
    `int` | `lengthOfTimestamp()`
    `abstract int` | `linkedHashMap(int entry)`
    `abstract int` | `linkedList(int entry)`
    `abstract int` | `linkedListBase()`
    `abstract int` | `linkedListEntry()`
    `abstract int` | `memoryAlign()`
    `abstract int` | `object()`
    `int` | `primitive1()`
    `int` | `primitive2()`
    `abstract int` | `ref()`
    `static int` | `round(int size)`
    `static JavaDataModel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JavaDataModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA32

          public static final JavaDataModel JAVA32

    - #### JAVA64

          public static final JavaDataModel JAVA64

  - ### Field Detail

    - #### JAVA32_META

          public static final int JAVA32_META

      See Also:
        Constant Field Values

    - #### JAVA32_ARRAY_META

          public static final int JAVA32_ARRAY_META

      See Also:
        Constant Field Values

    - #### JAVA32_REF

          public static final int JAVA32_REF

      See Also:
        Constant Field Values

    - #### JAVA32_OBJECT

          public static final int JAVA32_OBJECT

      See Also:
        Constant Field Values

    - #### JAVA32_ARRAY

          public static final int JAVA32_ARRAY

      See Also:
        Constant Field Values

    - #### JAVA64_META

          public static final int JAVA64_META

      See Also:
        Constant Field Values

    - #### JAVA64_ARRAY_META

          public static final int JAVA64_ARRAY_META

      See Also:
        Constant Field Values

    - #### JAVA64_REF

          public static final int JAVA64_REF

      See Also:
        Constant Field Values

    - #### JAVA64_OBJECT

          public static final int JAVA64_OBJECT

      See Also:
        Constant Field Values

    - #### JAVA64_ARRAY

          public static final int JAVA64_ARRAY

      See Also:
        Constant Field Values

    - #### PRIMITIVES1

          public static final int PRIMITIVES1

      See Also:
        Constant Field Values

    - #### PRIMITIVES2

          public static final int PRIMITIVES2

      See Also:
        Constant Field Values

    - #### PRIMITIVE_BYTE

          public static final int PRIMITIVE_BYTE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static JavaDataModel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaDataModel c : JavaDataModel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaDataModel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### object

          public abstract int object()

    - #### array

          public abstract int array()

    - #### ref

          public abstract int ref()

    - #### hashMap

          public abstract int hashMap(int entry)

    - #### hashMapBase

          public abstract int hashMapBase()

    - #### hashMapEntry

          public abstract int hashMapEntry()

    - #### hashSetBase

          public abstract int hashSetBase()

    - #### hashSetEntry

          public abstract int hashSetEntry()

    - #### hashSet

          public abstract int hashSet(int entry)

    - #### linkedHashMap

          public abstract int linkedHashMap(int entry)

    - #### linkedListBase

          public abstract int linkedListBase()

    - #### linkedListEntry

          public abstract int linkedListEntry()

    - #### linkedList

          public abstract int linkedList(int entry)

    - #### arrayList

          public abstract int arrayList()

    - #### memoryAlign

          public abstract int memoryAlign()

    - #### lengthFor

          public int lengthFor(String string)

    - #### lengthForRandom

          public int lengthForRandom()

    - #### primitive1

          public int primitive1()

    - #### primitive2

          public int primitive2()

    - #### alignUp

          public static int alignUp(int value,
                                    int align)

    - #### get

          public static JavaDataModel get()

    - #### round

          public static int round(int size)

    - #### lengthForByteArrayOfSize

          public int lengthForByteArrayOfSize(int length)

    - #### lengthForObjectArrayOfSize

          public int lengthForObjectArrayOfSize(int length)

    - #### lengthForLongArrayOfSize

          public int lengthForLongArrayOfSize(int length)

    - #### lengthForDoubleArrayOfSize

          public int lengthForDoubleArrayOfSize(int length)

    - #### lengthForIntArrayOfSize

          public int lengthForIntArrayOfSize(int length)

    - #### lengthForBooleanArrayOfSize

          public int lengthForBooleanArrayOfSize(int length)

    - #### lengthForTimestampArrayOfSize

          public int lengthForTimestampArrayOfSize(int length)

    - #### lengthForDateArrayOfSize

          public int lengthForDateArrayOfSize(int length)

    - #### lengthForDecimalArrayOfSize

          public int lengthForDecimalArrayOfSize(int length)

    - #### lengthOfDecimal

          public int lengthOfDecimal()

    - #### lengthOfTimestamp

          public int lengthOfTimestamp()

    - #### lengthOfDate

          public int lengthOfDate()

    - #### lengthForStringOfLength

          public int lengthForStringOfLength(int strLen)

Copyright © 2016 The Apache Software Foundation. All rights reserved.